## Generated by Codox

# The-great-game 0.1.2-SNAPSHOT

# cc.journeyman.the-great-game.location.location

TODO: write docs

### ProtoLocation

#### protocol

#### members

### altitude

`(altitude location)`

Return the absolute altitude of this location, which may be different from the terrain height at this location, if, for example, the location is underground or on an upper floor.

### easting

`(easting location)`

Return the easting of this location

### northing

`(northing location)`

Return the northing of this location

### settlement

`(settlement location)`

Return the settlement record of the settlement in this world within whose parish polygon this location exists, or if none whose centre (inn location) is closest to this location

### terrain-altitude

`(terrain-altitude location)`

Return the ‘ground level’ (altitude of the terrain) at this location given this world. TODO: possibly terrain-altitude should be a method of the world.

view source